Subject: AdviceChain works with the wrong proxy instance in some cases
Description

As the AdviceChain gets its proxy by a constructor argument, it might work on the wrong instance if the advice is used in different
instances of the same object type. To solve this, the advice chain should always fetch the proxy instance from the current joinpoint.

Associated revisions
Revision 7a79ea2c - 2012-04-26 23:53 - Andreas Förthner

[BUGFIX] AdviceChain has to take the proxy from the joinpoint

The advice chain object got its proxy instance in the constructor,
which was possibly not the correct instance for a given joinpoint.
This change removes the constructor parameter and fetches the proxy
instance always from the current joinpoint.

Change-Id: I4df61c9ff73c0890555270bcc92a007dbe5c4a70
Resolves: #36637

History
#1 - 2012-04-26 23:52 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10803

#2 - 2012-04-26 23:53 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10803

#3 - 2012-04-27 14:38 - Andreas Förthner
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:7a79ea2c1b186d8d96278691a82c3f5ff913ed44.
